FingerbankCombination:
  required: true
  content:
    application/json:
      schema:
        $ref: '#/components/schemas/FingerbankCombinationForm'

FingerbankCombinationsSearch:
  required: true
  content:
    application/json:
      schema:
        type: object
        properties:
          cursor:
            $ref: '#/components/schemas/FingerbankPaginatedCursor'
          sort:
            $ref: '#/components/schemas/FingerbankCombinationsSort'
          query:
            $ref: '#/components/schemas/FingerbankCombinationsQuery'
          limit:
            $ref: '#/components/schemas/FingerbankPaginatedLimit'

FingerbankDevice:
  required: true
  content:
    application/json:
      schema:
        $ref: '#/components/schemas/FingerbankDeviceForm'

FingerbankDevicesSearch:
  required: true
  content:
    application/json:
      schema:
        type: object
        properties:
          cursor:
            $ref: '#/components/schemas/FingerbankPaginatedCursor'
          sort:
            $ref: '#/components/schemas/FingerbankDevicesSort'
          query:
            $ref: '#/components/schemas/FingerbankDevicesQuery'
          limit:
            $ref: '#/components/schemas/FingerbankPaginatedLimit'

FingerbankDhcpFingerprint:
  required: true
  content:
    application/json:
      schema:
        $ref: '#/components/schemas/FingerbankDhcpFingerprintForm'

FingerbankDhcpFingerprintsSearch:
  required: true
  content:
    application/json:
      schema:
        type: object
        properties:
          cursor:
            $ref: '#/components/schemas/FingerbankPaginatedCursor'
          sort:
            $ref: '#/components/schemas/FingerbankDhcpFingerprintsSort'
          query:
            $ref: '#/components/schemas/FingerbankDhcpFingerprintsQuery'
          limit:
            $ref: '#/components/schemas/FingerbankPaginatedLimit'

FingerbankDhcpVendor:
  required: true
  content:
    application/json:
      schema:
        $ref: '#/components/schemas/FingerbankDhcpVendorForm'

FingerbankDhcpVendorsSearch:
  required: true
  content:
    application/json:
      schema:
        type: object
        properties:
          cursor:
            $ref: '#/components/schemas/FingerbankPaginatedCursor'
          sort:
            $ref: '#/components/schemas/FingerbankDhcpVendorsSort'
          query:
            $ref: '#/components/schemas/FingerbankDhcpVendorsQuery'
          limit:
            $ref: '#/components/schemas/FingerbankPaginatedLimit'

FingerbankDhcp6Enterprise:
  required: true
  content:
    application/json:
      schema:
        $ref: '#/components/schemas/FingerbankDhcp6EnterpriseForm'

FingerbankDhcp6EnterprisesSearch:
  required: true
  content:
    application/json:
      schema:
        type: object
        properties:
          cursor:
            $ref: '#/components/schemas/FingerbankPaginatedCursor'
          sort:
            $ref: '#/components/schemas/FingerbankDhcp6EnterprisesSort'
          query:
            $ref: '#/components/schemas/FingerbankDhcp6EnterprisesQuery'
          limit:
            $ref: '#/components/schemas/FingerbankPaginatedLimit'

FingerbankDhcp6Fingerprint:
  required: true
  content:
    application/json:
      schema:
        $ref: '#/components/schemas/FingerbankDhcp6FingerprintForm'

FingerbankDhcp6FingerprintsSearch:
  required: true
  content:
    application/json:
      schema:
        type: object
        properties:
          cursor:
            $ref: '#/components/schemas/FingerbankPaginatedCursor'
          sort:
            $ref: '#/components/schemas/FingerbankDhcp6FingerprintsSort'
          query:
            $ref: '#/components/schemas/FingerbankDhcp6FingerprintsQuery'
          limit:
            $ref: '#/components/schemas/FingerbankPaginatedLimit'

FingerbankMacVendor:
  required: true
  content:
    application/json:
      schema:
        $ref: '#/components/schemas/FingerbankMacVendorForm'

FingerbankMacVendorsSearch:
  required: true
  content:
    application/json:
      schema:
        type: object
        properties:
          cursor:
            $ref: '#/components/schemas/FingerbankPaginatedCursor'
          sort:
            $ref: '#/components/schemas/FingerbankMacVendorsSort'
          query:
            $ref: '#/components/schemas/FingerbankMacVendorsQuery'
          limit:
            $ref: '#/components/schemas/FingerbankPaginatedLimit'


FingerbankUserAgent:
  required: true
  content:
    application/json:
      schema:
        $ref: '#/components/schemas/FingerbankUserAgentForm'

FingerbankUserAgentsSearch:
  required: true
  content:
    application/json:
      schema:
        type: object
        properties:
          cursor:
            $ref: '#/components/schemas/FingerbankPaginatedCursor'
          sort:
            $ref: '#/components/schemas/FingerbankUserAgentsSort'
          query:
            $ref: '#/components/schemas/FingerbankUserAgentsQuery'
          limit:
            $ref: '#/components/schemas/FingerbankPaginatedLimit'
